package com.muyu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.SysCar;

import com.muyu.domain.SysCarFaultLog;
import com.muyu.domain.req.SysCarReq;

import com.muyu.domain.resp.SysCarFaultLogVo;
import com.muyu.domain.resp.SysCarVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface SysCarMapper extends BaseMapper<SysCar> {
    List<SysCarVo> selectSysCarVoList(SysCarReq sysCarReq);

    SysCarVo selectSysCarVoById(@Param("id") Long id);

    List<SysCarFaultLogVo> findFenceByCarVin(@Param("carVin") String carVin);

    //修改车辆
    Integer updSysCarById(SysCar sysCar);

    //添加车辆信息
    Integer addSysCar(SysCar sysCar);

}
